Subject: [PATCH 1/2] ARM: OMAP1: DMA: Provide dma_slave_map to omap-dma

From: [email-masked] (Tony Lindgren)
Date: Mon, 22 Feb 2016 10:02:01 -0800

* Peter Ujfalusi <[email-masked]> [160221 23:19]:
> On 2016-02-19 23:44, Aaro Koskinen wrote:
> > On Tue, Feb 02, 2016 at 04:27:06PM +0200, Peter Ujfalusi wrote:
> >> OMAP1 can not boot in DT mode and to be able to clean up the driver
> >> regarding to the dmaengine API use (switching to the new API) the
> >> device/slave -> filter mapping needs to be provided to the omap-dma driver.
> >>
> >> Signed-off-by: Peter Ujfalusi <[email-masked]>
> > 
> > Acked-by: Aaro Koskinen <[email-masked]>
> 
> Thanks Aaro,
> 
> I believe the map covers all drivers using DMA, but in case I missed any we -
> you ;) will notice it as they will fail to get the DMA channels. This only
> going to be visible after I send the driver changes for 4.7. In such a case we
> will need to add the given device to the list.

Yeah makes sense. Applying both into omap-for-v4.6/soc thanks.

Tony